import request from '@/utils/request'

//电池编码管理列表
export function batteryCodeList(data) {
    return request({
        url: '/api/v1/product/pageQuery',
        method: 'post',
        data
    })
}

//新增电池编码管理
export function addBatteryCode(data) {
    return request({
        url: '/api/v1/product/save',
        method: 'post',
        data
    })
}

//查询电池编码详情
export function getBatteryCodeInfo(data) {
    return request({
        url: '/api/v1/product/get',
        method: 'post',
        data
    })
}

//启用、停用电池编码
export function deleteBatteryCode(data) {
    return request({
        url: '/api/v1/product/delete',
        method: 'post',
        data
    })
}

//新增单体型号
export function addCellModel(data) {
    return request({
        url: '/api/v1/cellModel/addCell',
        method: 'post',
        data
    })
}

//单体型号详情
export function cellDetail(id) {
    return request({
        url: '/api/v1/cellModel/cellDetail/' + id,
        method: 'get',
    })
}

//单体型号
export function deleteCell(id) {
    return request({
        url: '/api/v1/cellModel/delCell/' + id,
        method: 'delete',
    })
}

//修改单体型号
export function editCellModel(data) {
    return request({
        url: '/api/v1/cellModel/modifyCell',
        method: 'post',
        data
    })
}

//分页搜索单体型号
export function cellList(data) {
    return request({
        url: '/api/v1/cellModel/queryCell',
        method: 'post',
        data
    })
}

//新增包型号
export function addPack(data) {
    return request({
        url: '/api/v1/packModel/addPack',
        method: 'post',
        data
    })
}

//删除包型号
export function deletePack(id) {
    return request({
        url: '/api/v1/packModel/delPack/' + id,
        method: 'delete',
    })
}

//修改包型号
export function editPack(data) {
    return request({
        url: '/api/v1/packModel/modifyPack',
        method: 'post',
        data
    })
}

//pack型号详情
export function packDetail(id) {
    return request({
        url: '/api/v1/packModel/packDetail/' + id,
        method: 'get',
    })
}

//分页搜索包型号
export function packList(data) {
    return request({
        url: '/api/v1/packModel/queryPack',
        method: 'post',
        data
    })
}

//页面加载单体型号列表
export function packAllList() {
    return request({
        url: '/api/v1/packModel/ready',
        method: 'get',
    })
}

//通过单体型号获取包型号列表
export function getPackModelByCell(cellModel) {
    return request({
        url: '/api/v1/packModel/packModelByCell/' + cellModel,
        method: 'get',
    })
}