import request from '@/utils/request'
import { getToken } from '@/utils/auth'
import axios from 'axios'
import qs from 'qs'


export function postJson(url, params) {
  return request({
    url: url,
    method: 'post',
    data: params
  })
}

export function postForm(url, params) {
  const service = axios.create({
    baseURL: process.env.VUE_APP_BASE_API, // url = base url + request url
    // withCredentials: true, // send cookies when cross-domain requests
    timeout: 50000 // request timeout
  })
  return service.post( url, qs.stringify(params),{
      headers: {
        'X-Token': getToken()}
    });
}

export function getForm(url, params) {
  const service = axios.create({
    baseURL: process.env.VUE_APP_BASE_API, // url = base url + request url
    // withCredentials: true, // send cookies when cross-domain requests
    timeout: 50000, // request timeout
    headers: {'X-Token': getToken()}
  })
  // console.log(getToken(),"ssss")
  return service.get( url, qs.stringify(params),{
      // headers: {
      //   'X-Token': getToken()}
    });
}

export function getSort(data) {
  const { prop, order } = data
  if (order === 'ascending') {
    return prop + ' asc'
  } else if (order === 'descending') {
    return prop + ' desc'
  } else {
    return ''
  }
}
