/**
 * Created by PanJiaChen on 16/11/18.
 */

/**
 * @param {string} path
 * @returns {Boolean}
 */
export function isExternal(path) {
    return /^(https?:|mailto:|tel:)/.test(path)
}

/**
 * @param {string} str
 * @returns {Boolean}
 */
export function validUsername(str) {
    const valid_map = ['admin', 'editor']
    return valid_map.indexOf(str.trim()) >= 0
}

/**
 * 邮箱
 * @param {*} s
 */
export function isEmail(s) {
    return /^([a-zA-Z0-9._-])+@([a-zA-Z0-9_-])+((.[a-zA-Z0-9_-]{2,3}){1,2})$/.test(s)
}

/**
 * 手机号码
 * @param {*} s
 */
export function isMobile(s) {
    return /^1[0-9]{10}$/.test(s)
}

/**
 * 电话号码
 * @param {*} s
 */
export function isPhone(s) {
    return /^([0-9]{3,4}-)?[0-9]{7,8}$/.test(s)
}

/**
 * URL地址
 * @param {*} s
 */
export function isURL(s) {
    return /^http[s]?:\/\/.*/.test(s)
}

/**
 * 正整数
 * @param {*} s
 */
export function isNumber(s) {
    return /^\+?[1-9][0-9]*$/.test(s)
}

/**
 * 正整数
 * @param {*} s
 */
export function isSigleNumber(s) {
    return /^\+?[4,6,7]*$/.test(s)
}

/**
 * 汉字
 * @param {*} s
 */
export function isCn(s) {
    return /[^\u4E00-\u9FA5]/g.test(s)
}

/**
 * 大写字母
 * @param {*} s
 */
export function isCapitalization(s) {
    return /[^A-Z0-9]/g.test(s)
}

/**
 * 一位数字
 * @param {*} s
 */
export function isOneNumber(s) {
    return /^((?!0)\d{1,2}|100)$/g.test(s)
}